--- title: "Get List of CIDR Allocated to an Interface" slug: "get-list-of-cidr-allocated-to-an-interface" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/get-list-of-cidr-allocated-to-an-interface" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get List of CIDR Allocated to an Interface This URL gets CIDR list allocated to an interface. ## Resource URL GET /sensor//interface//allocatedcidrlist ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor ID | Number | Yes | | interface_id | Interface ID | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | AllocatedCidrListElem | List of CIDR | Array | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensor/1002/interface/110/allocatedcidrlist](https://%3CNSM_IP%3E/sdkapi/sensor/1002/interface/110/allocatedcidrlist) **Response** ``` {       "cidrList":       [           "192.168.0.0/28"       ] } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1105 | Invalid domain | | 2 | 404 | 1106 | Invalid Sensor | | 3 | 404 | 1107 | Invalid interface or sub-interface id |